> ## Documentation Index
> Fetch the complete documentation index at: https://wordsmithai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> List the people and agents in your organization.

Use this to resolve the ids on a task, or to find someone to assign work to. `kind` is `human` or `agent` — agents can be assigned tasks through `assigned_agent`.

## Query parameters

<ParamField query="active_only" type="string">
  `true` to exclude suspended accounts.
</ParamField>

<ParamField query="human_only" type="string">
  `true` to exclude agents.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.wordsmith.ai/api/v1/users' \
  --header 'Authorization: Bearer YOUR_API_KEY'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.wordsmith.ai/api/v1/users", {
    method: "GET",
    headers: {
      Authorization: "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
    },
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.wordsmith.ai/api/v1/users"
  headers = {
      "Authorization": "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "11111111-2222-3333-4444-555555555555",
      "name": "Jane Doe",
      "email": "jane@example.com",
      "kind": "human",
      "is_suspended": false
    }
  ]
  ```
</ResponseExample>
